Method: vdc.registerDevice

An endpoint to register a device with the issuer.

HTTP request

POST https://example.issuer.com/api/v1/vdc/registerDevice

Request body

The request body contains data with the following structure:

JSON representation
{
  "requestMetadata": {
    object (RequestMetadata)
  },
  "deviceReferenceId": string,
  "deviceIdentityCertificate": string,
  "deviceIdentityCertificateChain": [
    string
  ]
}
Fields
requestMetadata

object (RequestMetadata)

The metadata about the request, required in all requests.

deviceReferenceId

string

The id that corresponds to the device and the identity key associated with the device. This is NOT a device id, meaning that if the user were to have two separate credentials on the same device, this id would differ between them.

This id is supplied in all requests, and can be used to correlate requests.

deviceIdentityCertificate

string

(DEPRECATED: use deviceIdentityCertificateChain ) An X.509 certificate chain, that is unique for a specific device and credential.

This certificate contains the device's identity key, a device attestation, and the signed nonce.

deviceIdentityCertificateChain[]

string

A list of X.509 certificates in the certificate chain, that is unique for a specific device and credential.

This certificate chain contains the device's identity key, a device attestation, and the signed nonce.

Response body

A response acknowledging the device registration.

If successful, the response body contains data with the following structure:

JSON representation
{
  "responseMetadata": {
    object (ResponseMetadata)
  }
}
Fields
responseMetadata

object (ResponseMetadata)

The metadata about the response, required in all responses.